[arch-commits] Commit in kdevelop/trunk (PKGBUILD kdevelop-3.5.4-gcc44.patch)

Giovanni Scafora giovanni at archlinux.org
Tue Jul 21 14:43:03 EDT 2009


    Date: Tuesday, July 21, 2009 @ 14:43:03
  Author: giovanni
Revision: 46907

upgpkg: kdevelop 3.5.4-2
    Added gcc44 patch

Added:
  kdevelop/trunk/kdevelop-3.5.4-gcc44.patch
Modified:
  kdevelop/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   44 +++++++++++++++++++++++++------------------
 kdevelop-3.5.4-gcc44.patch |   10 +++++++++
 2 files changed, 36 insertions(+), 18 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-21 15:28:15 UTC (rev 46906)
+++ PKGBUILD	2009-07-21 18:43:03 UTC (rev 46907)
@@ -1,30 +1,38 @@
 # $Id$
-# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Maintainer: Andrea Scarpino <bash at archlinux.it>
 # Contributor: damir <damir at archlinux.org>
 # Contributor: Travis Willard <travis at archlinux.org> 
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=kdevelop
-pkgver=3.9.94
-pkgrel=1
-pkgdesc="A C/C++ development environment for KDE"
+pkgver=3.5.4
+pkgrel=2
+pkgdesc="A C/C++ development environment for KDE - stable snapshot build"
 arch=('i686' 'x86_64')
 url="http://www.kdevelop.org/"
 license=('GPL')
-depends=('kdebase-workspace' 'kdevplatform')
-makedepends=('cmake' 'automoc4' 'perl')
-source=("http://download.kde.org/unstable/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('f5c5f042ccc34fb877c6080ae2ff8bc5')
+depends=('kdelibs3>=3.5.9' 'flex>=2.5.4' 'gcc' 'perl' 'make' 
+         'automake>=1.6' 'autoconf>=2.52' 'gettext' 'db>=4.7' 'cvs' 'subversion')
+replaces=('kdevelop3-cvs') # compatibility reasons
+conflicts=('kdevelop-devel')
+options=('!makeflags')
+source=(http://download.kde.org/stable/3.5.10/src/${pkgname}-${pkgver}.tar.bz2
+        kdevelop-3.5.4-gcc44.patch)
+md5sums=('06aa12a89b2c09968a92e1d8b575819c'
+         '90b2be44dd5bf7d48ce981dfa3207cdb')
 
 build() {
-  cd ${srcdir}
-  mkdir build
-  cd build 
-  cmake ../${pkgname}-${pkgver} \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DCMAKE_SKIP_RPATH=ON \
-    -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
-  make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+   # Source the QT and KDE profile
+   [ "$QTDIR" = "" ] && source /etc/profile.d/qt3.sh 
+   [ "$KDEDIR" = "" ] && source /etc/profile.d/kde3.sh
+   # start building
+   cd ${srcdir}/${pkgname}-${pkgver}
+   patch -Np1 -i ${srcdir}/kdevelop-3.5.4-gcc44.patch || return 1
+   ./configure --prefix=/opt/kde \
+               --enable-gcc-hidden-visibility \
+	       --without-arts || return 1
+   make || return 1
+   make DESTDIR=${pkgdir} install || return 1
+   rm -f ${pkgdir}/opt/kde/bin/extractrc
 }
+

Added: kdevelop-3.5.4-gcc44.patch
===================================================================
--- kdevelop-3.5.4-gcc44.patch	                        (rev 0)
+++ kdevelop-3.5.4-gcc44.patch	2009-07-21 18:43:03 UTC (rev 46907)
@@ -0,0 +1,10 @@
+--- a/lib/antlr/antlr/CharScanner.hpp~	2007-11-30 14:36:49.000000000 -0800
++++ b/lib/antlr/antlr/CharScanner.hpp	2009-07-21 20:13:26.000000000 -0700
+@@ -11,6 +11,7 @@
+ #include <antlr/config.hpp>
+ 
+ #include <map>
++#include <cstdio>
+ 
+ #ifdef HAS_NOT_CCTYPE_H
+ #include <ctype.h>



More information about the arch-commits mailing list